Module java.desktop
Package javax.swing

# Class JDialog.AccessibleJDialog

java.lang.Object
javax.accessibility.AccessibleContext
java.awt.Component.AccessibleAWTComponent
java.awt.Container.AccessibleAWTContainer
java.awt.Window.AccessibleAWTWindow
java.awt.Dialog.AccessibleAWTDialog
javax.swing.JDialog.AccessibleJDialog

All Implemented Interfaces:
  `Serializable`, `AccessibleComponent`

Enclosing class:
  JDialog

protected class JDialog.AccessibleJDialog extends Dialog.AccessibleAWTDialog
This class implements accessibility support for the `JDialog` class. It provides an implementation of the Java Accessibility API appropriate to dialog user-interface elements.

## Nested Class Summary

## Nested classes/interfaces declared in class java.awt.Container.AccessibleAWTContainer

`Container.AccessibleAWTContainer.AccessibleContainerHandler`

## Nested classes/interfaces declared in class java.awt.Component.AccessibleAWTComponent

`Component.AccessibleAWTComponent.AccessibleAWTComponentHandler, Component.AccessibleAWTComponent.AccessibleAWTFocusHandler`

## Field Summary

### Fields declared in class java.awt.Container.AccessibleAWTContainer

`accessibleContainerHandler`

### Fields declared in class java.awt.Component.AccessibleAWTComponent

`accessibleAWTComponentHandler, accessibleAWTFocusHandler`

### Fields declared in class javax.accessibility.AccessibleContext

`ACCESSIBLE_ACTION_PROPERTY, ACCESSIBLE_ACTIVE_DESCENDANT_PROPERTY, ACCESSIBLE_CARET_PROPERTY, ACCESSIBLE_CHILD_PROPERTY, ACCESSIBLE_COMPONENT_BOUNDS_CHANGED, ACCESSIBLE_DESCRIPTION_PROPERTY, ACCESSIBLE_HYPERTEXT_OFFSET, ACCESSIBLE_INVALIDATE_CHILDREN, ACCESSIBLE_NAME_PROPERTY, ACCESSIBLE_SELECTION_PROPERTY, ACCESSIBLE_STATE_PROPERTY, ACCESSIBLE_TABLE_CAPTION_CHANGED, ACCESSIBLE_TABLE_COLUMN_DESCRIPTION_CHANGED, ACCESSIBLE_TABLE_COLUMN_HEADER_CHANGED, ACCESSIBLE_TABLE_MODEL_CHANGED, ACCESSIBLE_TABLE_ROW_DESCRIPTION_CHANGED, ACCESSIBLE_TABLE_ROW_HEADER_CHANGED, ACCESSIBLE_TABLE_SUMMARY_CHANGED, ACCESSIBLE_TEXT_ATTRIBUTES_CHANGED, ACCESSIBLE_TEXT_PROPERTY, ACCESSIBLE_VALUE_PROPERTY, ACCESSIBLE_VISIBLE_DATA_PROPERTY, accessibleDescription, accessibleName, accessibleParent`

## Constructor Summary

Constructors
Modifier
Constructor
Description
`protected`
`AccessibleJDialog()`
Constructs an `AccessibleJDialog`.

## Method Summary

Modifier and Type
Method
Description
`String`
`getAccessibleName()`
Get the accessible name of this object.
`AccessibleStateSet`
`getAccessibleStateSet()`
Get the state of this object.

### Methods declared in class java.awt.Dialog.AccessibleAWTDialog

`getAccessibleRole`

### Methods declared in class java.awt.Container.AccessibleAWTContainer

`addPropertyChangeListener, getAccessibleAt, getAccessibleChild, getAccessibleChildrenCount, removePropertyChangeListener`

### Methods declared in class java.awt.Component.AccessibleAWTComponent

`addFocusListener, contains, getAccessibleComponent, getAccessibleDescription, getAccessibleIndexInParent, getAccessibleParent, getBackground, getBounds, getCursor, getFont, getFontMetrics, getForeground, getLocale, getLocation, getLocationOnScreen, getSize, isEnabled, isFocusTraversable, isShowing, isVisible, removeFocusListener, requestFocus, setBackground, setBounds, setCursor, setEnabled, setFont, setForeground, setLocation, setSize, setVisible`

### Methods declared in class javax.accessibility.AccessibleContext

`firePropertyChange, getAccessibleAction, getAccessibleEditableText, getAccessibleIcon, getAccessibleRelationSet, getAccessibleSelection, getAccessibleTable, getAccessibleText, getAccessibleValue, setAccessibleDescription, setAccessibleName, setAccessibleParent`

### Methods declared in class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### AccessibleJDialog

protected AccessibleJDialog()
Constructs an `AccessibleJDialog`.

## Method Details

### getAccessibleName

public String getAccessibleName()
Get the accessible name of this object.

Overrides:
  `getAccessibleName` in class `Component.AccessibleAWTComponent`
Returns:
  the localized name of the object -- can be null if this object does not have a name
See Also:
  `AccessibleContext.setAccessibleName(java.lang.String)`

### getAccessibleStateSet

public AccessibleStateSet getAccessibleStateSet()
Get the state of this object.

Overrides:
  `getAccessibleStateSet` in class `Dialog.AccessibleAWTDialog`
Returns:
  an instance of AccessibleStateSet containing the current state set of the object
See Also:
  `AccessibleState`